
module	top;
		
supply0 gnd;
supply1 vdd;
		
reg A0PAD, A1PAD, A2PAD, A0M, A1M, A2M;	
reg pref1,pref2,pref3,pref4;


defparam m.frequency = 400000; 		// clock frequency (in Hz) 
defparam m.sepLength = 5;		// length parameter for 
					// stop-start interval
					// ( = sepLength * clock-semiperiod + clock period)
//	instantiate the I2C master 
//
IICmaster m(SDA,SCL,WPPAD,A0PAD,A1PAD,A2PAD,A0M,A1M,A2M,pref1,pref2,pref3,pref4);

//	instantiate the I2C slave (the memory chip model)
//
IICslave chip(A0PAD, A1PAD, A2PAD, SCL, SDA, WPPAD, vdd, gnd);


initial		
	begin

// adr. bits for address pins

	A0PAD = 0;
	A1PAD = 0;
	A2PAD = 0;

// adr. bits to be used in header (second half)
 
	A0M = 0;
	A1M = 0;
	A2M = 0;

// first 4 bits to be used in header (first half)

	pref1 = 1;
	pref2 = 0;
	pref3 = 1;
	pref4 = 0;

	end

endmodule
